Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.service
Class TaskAuditServiceImpl

    java.lang.Object
      org.jbpm.services.task.audit.service.TaskAuditServiceImpl

All Implemented Interfaces:
  TaskAuditService

    public class TaskAuditServiceImpl

extends Object
implements TaskAuditService

Constructor Summary
`TaskAuditServiceImpl()`

Method Summary
`List<GroupAuditTask>` | `getAllGroupAuditTasks(String groupIds, int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksAdmin(int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksByDueDate(String groupIds, Date dueDate, int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksByStatus(String groupIds, List<String> statuses, int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksByStatusByDueDate(String groupIds, List<String> statuses, Date dueDate, int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksByStatusByDueDateOptional(String groupIds, List<String> statuses, Date dueDate, int offset, int count)`
`List<HistoryAuditTask>` | `getAllHistoryAuditTasks(int offset, int count)`
`List<HistoryAuditTask>` | `getAllHistoryAuditTasksByUser(String userId, int offset, int count)`
`List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEvents(long taskId, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasks(String userId, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksAdmin(int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksByDueDate(String userId, Date dueDate, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksByStatus(String userId, List<String> statuses, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksByStatusByDueDate(String userId, List<String> statuses, Date dueDate, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksByStatusByDueDateOptional(String userId, List<String> statuses, Date dueDate, int offset, int count)`
`void` | `setTaskService(TaskService taskService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskAuditServiceImpl

    public TaskAuditServiceImpl()

Method Detail

### getAllTaskEvents

    public List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEvents(long taskId,
                                                                            int offset,
                                                                            int count)

  Specified by:
    `getAllTaskEvents` in interface `TaskAuditService`

### getAllUserAuditTasks

    public List<UserAuditTask> getAllUserAuditTasks(String userId,
                                                    int offset,
                                                    int count)

  Specified by:
    `getAllUserAuditTasks` in interface `TaskAuditService`

### getAllUserAuditTasksByStatus

    public List<UserAuditTask> getAllUserAuditTasksByStatus(String userId,
                                                            List<String> statuses,
                                                            int offset,
                                                            int count)

  Specified by:
    `getAllUserAuditTasksByStatus` in interface `TaskAuditService`

### getAllUserAuditTasksByDueDate

    public List<UserAuditTask> getAllUserAuditTasksByDueDate(String userId,
                                                             Date dueDate,
                                                             int offset,
                                                             int count)

  Specified by:
    `getAllUserAuditTasksByDueDate` in interface `TaskAuditService`

### getAllUserAuditTasksByStatusByDueDate

    public List<UserAuditTask> getAllUserAuditTasksByStatusByDueDate(String userId,
                                                                     List<String> statuses,
                                                                     Date dueDate,
                                                                     int offset,
                                                                     int count)

  Specified by:
    `getAllUserAuditTasksByStatusByDueDate` in interface `TaskAuditService`

### getAllUserAuditTasksByStatusByDueDateOptional

    public List<UserAuditTask> getAllUserAuditTasksByStatusByDueDateOptional(String userId,
                                                                             List<String> statuses,
                                                                             Date dueDate,
                                                                             int offset,
                                                                             int count)

  Specified by:
    `getAllUserAuditTasksByStatusByDueDateOptional` in interface `TaskAuditService`

### getAllGroupAuditTasks

    public List<GroupAuditTask> getAllGroupAuditTasks(String groupIds,
                                                      int offset,
                                                      int count)

  Specified by:
    `getAllGroupAuditTasks` in interface `TaskAuditService`

### getAllGroupAuditTasksByStatus

    public List<GroupAuditTask> getAllGroupAuditTasksByStatus(String groupIds,
                                                              List<String> statuses,
                                                              int offset,
                                                              int count)

  Specified by:
    `getAllGroupAuditTasksByStatus` in interface `TaskAuditService`

### getAllGroupAuditTasksByDueDate

    public List<GroupAuditTask> getAllGroupAuditTasksByDueDate(String groupIds,
                                                               Date dueDate,
                                                               int offset,
                                                               int count)

  Specified by:
    `getAllGroupAuditTasksByDueDate` in interface `TaskAuditService`

### getAllGroupAuditTasksByStatusByDueDate

    public List<GroupAuditTask> getAllGroupAuditTasksByStatusByDueDate(String groupIds,
                                                                       List<String> statuses,
                                                                       Date dueDate,
                                                                       int offset,
                                                                       int count)

  Specified by:
    `getAllGroupAuditTasksByStatusByDueDate` in interface `TaskAuditService`

### getAllGroupAuditTasksByStatusByDueDateOptional

    public List<GroupAuditTask> getAllGroupAuditTasksByStatusByDueDateOptional(String groupIds,
                                                                               List<String> statuses,
                                                                               Date dueDate,
                                                                               int offset,
                                                                               int count)

  Specified by:
    `getAllGroupAuditTasksByStatusByDueDateOptional` in interface `TaskAuditService`

### getAllUserAuditTasksAdmin

    public List<UserAuditTask> getAllUserAuditTasksAdmin(int offset,
                                                         int count)

  Specified by:
    `getAllUserAuditTasksAdmin` in interface `TaskAuditService`

### getAllGroupAuditTasksAdmin

    public List<GroupAuditTask> getAllGroupAuditTasksAdmin(int offset,
                                                           int count)

  Specified by:
    `getAllGroupAuditTasksAdmin` in interface `TaskAuditService`

### getAllHistoryAuditTasks

    public List<HistoryAuditTask> getAllHistoryAuditTasks(int offset,
                                                          int count)

  Specified by:
    `getAllHistoryAuditTasks` in interface `TaskAuditService`

### getAllHistoryAuditTasksByUser

    public List<HistoryAuditTask> getAllHistoryAuditTasksByUser(String userId,
                                                                int offset,
                                                                int count)

  Specified by:
    `getAllHistoryAuditTasksByUser` in interface `TaskAuditService`

### setTaskService

    public void setTaskService(TaskService taskService)

  Specified by:
    `setTaskService` in interface `TaskAuditService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.